CUTLASS: cutlass::reference::host::detail::TensorFuncBinaryOp< ElementA, LayoutA, ElementB, LayoutB, ElementD, LayoutD, BinaryFunc > Struct Template Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
cutlass::reference::host::detail::TensorFuncBinaryOp< ElementA, LayoutA, ElementB, LayoutB, ElementD, LayoutD, BinaryFunc > Struct Template Reference

Helper to apply a binary operator in place.

`#include <tensor_elementwise.h>`

Collaboration diagram for cutlass::reference::host::detail::TensorFuncBinaryOp< ElementA, LayoutA, ElementB, LayoutB, ElementD, LayoutD, BinaryFunc >:
[legend]

## Public Member Functions
| TensorFuncBinaryOp ()
| Constructor. More...
| TensorFuncBinaryOp (TensorView< ElementD, LayoutD > const &view_d_, TensorRef< ElementA, LayoutA > const &ref_a_, TensorRef< ElementB, LayoutB > const &ref_b_, BinaryFunc func=BinaryFunc())
| Constructor. More...
void | operator() (Coord< LayoutD::kRank > const &coord) const
| Equality check. More...

## Public Attributes
TensorView< ElementD, LayoutD > | view_d
| View of left-hand-side tensor. More...
TensorRef< ElementA, LayoutA > | ref_a
TensorRef< ElementB, LayoutB > | ref_b
BinaryFunc | func

## Constructor & Destructor Documentation

template<typename ElementA , typename LayoutA , typename ElementB , typename LayoutB , typename ElementD , typename LayoutD , typename BinaryFunc >

cutlass::reference::host::detail::TensorFuncBinaryOp< ElementA, LayoutA, ElementB, LayoutB, ElementD, LayoutD, BinaryFunc >::TensorFuncBinaryOp | ( |  | ) |
| inline

template<typename ElementA , typename LayoutA , typename ElementB , typename LayoutB , typename ElementD , typename LayoutD , typename BinaryFunc >

cutlass::reference::host::detail::TensorFuncBinaryOp< ElementA, LayoutA, ElementB, LayoutB, ElementD, LayoutD, BinaryFunc >::TensorFuncBinaryOp | ( | TensorView< ElementD, LayoutD > const & | view_d_,
|  | TensorRef< ElementA, LayoutA > const & | ref_a_,
|  | TensorRef< ElementB, LayoutB > const & | ref_b_,
|  | BinaryFunc | func = `BinaryFunc()`
| ) |  |
| inline

## Member Function Documentation

template<typename ElementA , typename LayoutA , typename ElementB , typename LayoutB , typename ElementD , typename LayoutD , typename BinaryFunc >

void cutlass::reference::host::detail::TensorFuncBinaryOp< ElementA, LayoutA, ElementB, LayoutB, ElementD, LayoutD, BinaryFunc >::operator() | ( | Coord< LayoutD::kRank > const & | coord | ) | const
| inline

## Member Data Documentation

template<typename ElementA , typename LayoutA , typename ElementB , typename LayoutB , typename ElementD , typename LayoutD , typename BinaryFunc >

BinaryFunc cutlass::reference::host::detail::TensorFuncBinaryOp< ElementA, LayoutA, ElementB, LayoutB, ElementD, LayoutD, BinaryFunc >::func

template<typename ElementA , typename LayoutA , typename ElementB , typename LayoutB , typename ElementD , typename LayoutD , typename BinaryFunc >

TensorRef<ElementA, LayoutA> cutlass::reference::host::detail::TensorFuncBinaryOp< ElementA, LayoutA, ElementB, LayoutB, ElementD, LayoutD, BinaryFunc >::ref_a

template<typename ElementA , typename LayoutA , typename ElementB , typename LayoutB , typename ElementD , typename LayoutD , typename BinaryFunc >

TensorRef<ElementB, LayoutB> cutlass::reference::host::detail::TensorFuncBinaryOp< ElementA, LayoutA, ElementB, LayoutB, ElementD, LayoutD, BinaryFunc >::ref_b

template<typename ElementA , typename LayoutA , typename ElementB , typename LayoutB , typename ElementD , typename LayoutD , typename BinaryFunc >

TensorView<ElementD, LayoutD> cutlass::reference::host::detail::TensorFuncBinaryOp< ElementA, LayoutA, ElementB, LayoutB, ElementD, LayoutD, BinaryFunc >::view_d

The documentation for this struct was generated from the following file:

- host/tensor_elementwise.h